/****************************************************************************
** Form implementation generated from reading ui file 'src/CommitDialog.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "CommitDialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qmultilineedit.h>
#include <qcombobox.h>
#include <qframe.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

/*
 *  Constructs a CommitDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CommitDialog::CommitDialog( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CommitDialog" );
    CommitDialogLayout = new QGridLayout( this, 1, 1, 2, 6, "CommitDialogLayout"); 

    m_pComment = new QMultiLineEdit( this, "m_pComment" );

    CommitDialogLayout->addWidget( m_pComment, 0, 0 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    m_pTemplate = new QComboBox( FALSE, this, "m_pTemplate" );
    m_pTemplate->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, m_pTemplate->sizePolicy().hasHeightForWidth() ) );
    m_pTemplate->setMinimumSize( QSize( 200, 0 ) );
    layout2->addWidget( m_pTemplate );

    m_pClearBtn = new QPushButton( this, "m_pClearBtn" );
    layout2->addWidget( m_pClearBtn );

    CommitDialogLayout->addLayout( layout2, 1, 0 );

    ButtonLayout = new QHBoxLayout( 0, 0, 6, "ButtonLayout"); 

    m_pWhatsThis = new QPushButton( this, "m_pWhatsThis" );
    m_pWhatsThis->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_pWhatsThis->sizePolicy().hasHeightForWidth() ) );
    ButtonLayout->addWidget( m_pWhatsThis );
    spacer1 = new QSpacerItem( 130, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonLayout->addItem( spacer1 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, buttonOk->sizePolicy().hasHeightForWidth() ) );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    ButtonLayout->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, buttonCancel->sizePolicy().hasHeightForWidth() ) );
    buttonCancel->setAutoDefault( TRUE );
    ButtonLayout->addWidget( buttonCancel );

    CommitDialogLayout->addLayout( ButtonLayout, 5, 0 );

    Line1 = new QFrame( this, "Line1" );
    Line1->setFrameShape( QFrame::HLine );
    Line1->setFrameShadow( QFrame::Sunken );
    Line1->setFrameShape( QFrame::HLine );

    CommitDialogLayout->addWidget( Line1, 4, 0 );

    Line1_2 = new QFrame( this, "Line1_2" );
    Line1_2->setFrameShape( QFrame::HLine );
    Line1_2->setFrameShadow( QFrame::Sunken );
    Line1_2->setFrameShape( QFrame::HLine );

    CommitDialogLayout->addWidget( Line1_2, 2, 0 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    m_pRevisionCheckBox = new QCheckBox( this, "m_pRevisionCheckBox" );
    layout3->addWidget( m_pRevisionCheckBox );

    m_pRevision = new QLineEdit( this, "m_pRevision" );
    m_pRevision->setEnabled( FALSE );
    layout3->addWidget( m_pRevision );

    CommitDialogLayout->addLayout( layout3, 3, 0 );
    languageChange();
    resize( QSize(376, 250).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( cancel() ) );
    connect( m_pClearBtn, SIGNAL( clicked() ), this, SLOT( clear() ) );
    connect( m_pWhatsThis, SIGNAL( clicked() ), this, SLOT( enterWhatsThisMode() ) );
    connect( m_pRevisionCheckBox, SIGNAL( toggled(bool) ), m_pRevision, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CommitDialog::~CommitDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CommitDialog::languageChange()
{
    setCaption( tr( "Comment for Commit" ) );
    m_pClearBtn->setText( tr( "Clear" ) );
    m_pWhatsThis->setText( QString::null );
    QToolTip::add( m_pWhatsThis, tr( "What's this? (Shift+F1)" ) );
    QWhatsThis::add( m_pWhatsThis, QString::null );
    buttonOk->setText( tr( "&OK" ) );
    buttonOk->setAccel( QKeySequence( tr( "Alt+O" ) ) );
    buttonCancel->setText( tr( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( tr( "Alt+C" ) ) );
    m_pRevisionCheckBox->setText( tr( "Commit to specific revision:" ) );
    QWhatsThis::add( m_pRevisionCheckBox, tr( "<html>\n"
"<p>\n"
"You may commit files to a specific revision, however you should make sure all affected files have revision numbers below the one you specify. If there already are files with revision number above your specification, (only) these files will be skipped, and no revision number will be set.\n"
"<br>\n"
"Please note that cvs/CrossVC does not require to specify a revision. If not checked, these numbers are maintained by cvs which is inevitable in a multiuser environment.\n"
"</p>\n"
"</html>" ) );
    QWhatsThis::add( m_pRevision, tr( "<html>\n"
"<p>\n"
"You may commit files to a specific revision, however you should make sure all affected files have revision numbers below the one you specify. If there already are files with revision number above your specification, (only) these files will be skipped, and no revision number will be set.\n"
"<br>\n"
"Please note that cvs/CrossVC does not require to specify a revision. If not checked, these numbers are maintained by cvs which is inevitable in a multiuser environment.\n"
"</p>\n"
"</html>" ) );
}

void CommitDialog::enterWhatsThisMode()
{
    qWarning( "CommitDialog::enterWhatsThisMode(): Not implemented yet" );
}

void CommitDialog::clear()
{
    qWarning( "CommitDialog::clear(): Not implemented yet" );
}

void CommitDialog::accept()
{
    qWarning( "CommitDialog::accept(): Not implemented yet" );
}

void CommitDialog::cancel()
{
    qWarning( "CommitDialog::cancel(): Not implemented yet" );
}

