/****************************************************************************
** Form implementation generated from reading ui file 'src/HistoryDialog.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "HistoryDialog.h"

#include <qvariant.h>
#include <qheader.h>
#include <qlistview.h>
#include <qframe.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a HistoryDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
HistoryDialog::HistoryDialog( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "HistoryDialog" );
    HistoryDialogLayout = new QVBoxLayout( this, 2, 6, "HistoryDialogLayout"); 

    HistoryList = new QListView( this, "HistoryList" );
    HistoryList->addColumn( tr( "No." ) );
    HistoryList->addColumn( tr( "Date" ) );
    HistoryList->addColumn( tr( "Event" ) );
    HistoryList->addColumn( tr( "Author" ) );
    HistoryList->addColumn( tr( "Revision" ) );
    HistoryList->addColumn( tr( "File" ) );
    HistoryList->addColumn( tr( "Path" ) );
    HistoryList->setAllColumnsShowFocus( TRUE );
    HistoryList->setShowSortIndicator( TRUE );
    HistoryDialogLayout->addWidget( HistoryList );

    Line1 = new QFrame( this, "Line1" );
    Line1->setFrameShape( QFrame::HLine );
    Line1->setFrameShadow( QFrame::Sunken );
    Line1->setFrameShape( QFrame::HLine );
    HistoryDialogLayout->addWidget( Line1 );

    ButtonLayout = new QHBoxLayout( 0, 0, 6, "ButtonLayout"); 

    m_pWhatsThis = new QPushButton( this, "m_pWhatsThis" );
    m_pWhatsThis->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_pWhatsThis->sizePolicy().hasHeightForWidth() ) );
    ButtonLayout->addWidget( m_pWhatsThis );
    ButtonSpacer = new QSpacerItem( 450, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonLayout->addItem( ButtonSpacer );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    ButtonLayout->addWidget( buttonOk );
    HistoryDialogLayout->addLayout( ButtonLayout );
    languageChange();
    resize( QSize(653, 357).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( m_pWhatsThis, SIGNAL( clicked() ), this, SLOT( enterWhatsThisMode() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
HistoryDialog::~HistoryDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HistoryDialog::languageChange()
{
    setCaption( tr( "CVS History" ) );
    HistoryList->header()->setLabel( 0, tr( "No." ) );
    HistoryList->header()->setLabel( 1, tr( "Date" ) );
    HistoryList->header()->setLabel( 2, tr( "Event" ) );
    HistoryList->header()->setLabel( 3, tr( "Author" ) );
    HistoryList->header()->setLabel( 4, tr( "Revision" ) );
    HistoryList->header()->setLabel( 5, tr( "File" ) );
    HistoryList->header()->setLabel( 6, tr( "Path" ) );
    QWhatsThis::add( HistoryList, tr( "Here the history of the directory or file it was called upon is shown. To view a specific file, doubleclick it. The file will be shown in the viewer specified in Options/Settings in readonly mode." ) );
    m_pWhatsThis->setText( QString::null );
    QToolTip::add( m_pWhatsThis, tr( "What's this? (Shift+F1)" ) );
    buttonOk->setText( tr( "&Close" ) );
    buttonOk->setAccel( QKeySequence( tr( "Alt+C" ) ) );
}

void HistoryDialog::enterWhatsThisMode()
{
    qWarning( "HistoryDialog::enterWhatsThisMode(): Not implemented yet" );
}

