/****************************************************************************
** Form interface generated from reading ui file 'src/LogDialog.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef LOGDIALOG_H
#define LOGDIALOG_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qwidget.h>
#include "pixmapcache.h"
#include "ColorButton.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class LogTreeView;
class LogListView;
class QTabWidget;
class QCheckBox;
class QPushButton;
class QFrame;
class QLabel;
class QMultiLineEdit;

class LogDialog : public QWidget
{
    Q_OBJECT

public:
    LogDialog( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~LogDialog();

    QTabWidget* LogTabWidget;
    QWidget* RevisionTreePage;
    LogTreeView* tree;
    QCheckBox* CheckBoxBranchTags;
    QCheckBox* CheckBoxRegularTags;
    QCheckBox* CheckBoxKeepSettings;
    QPushButton* m_treeZoomInButton;
    QPushButton* m_treeZoomOutButton;
    QWidget* RevisionListPage;
    LogListView* list;
    QFrame* RevFrame;
    QLabel* AuthorDateALabel;
    QLabel* BranchALabel;
    QLabel* RevABox;
    QLabel* FileALabel;
    QLabel* RevisionALabel;
    QLabel* BranchABox;
    QLabel* AuthorDateABox;
    QLabel* FileABox;
    QPushButton* m_pDiffConsoleB;
    QPushButton* m_buttonDiffB;
    QLabel* CommentBLabel;
    QMultiLineEdit* CommentBBox;
    QPushButton* m_pDiffConsoleA;
    QMultiLineEdit* CommentABox;
    QPushButton* m_buttonDiffA;
    QLabel* CommentALabel;
    QLabel* AuthorDateBBox;
    QLabel* RevBBox;
    QLabel* AuthorDateBLabel;
    QLabel* FileBBox;
    QLabel* BranchBLabel;
    QLabel* FileBLabel;
    QLabel* RevisionBLabel;
    QLabel* BranchBBox;
    QFrame* RevLine;
    QFrame* RevLine_2;
    QPushButton* m_pWhatsThis;
    QPushButton* buttonDiffs;
    QPushButton* m_ButtonDiffConsole;
    QPushButton* buttonAnnotate;
    QPushButton* buttonMerge;
    QPushButton* m_ButtonPatch;
    QPushButton* buttonDone;

public slots:
    virtual void createPatchClicked();
    virtual void enterWhatsThisMode();

protected:
    QVBoxLayout* LogDialogLayout;
    QVBoxLayout* RevisionTreePageLayout;
    QHBoxLayout* layout5;
    QSpacerItem* Spacer2;
    QVBoxLayout* RevisionListPageLayout;
    QGridLayout* RevFrameLayout;
    QGridLayout* layout6;
    QGridLayout* layout7;
    QGridLayout* layout8;
    QGridLayout* layout7_2;
    QHBoxLayout* buttonLayout;
    QSpacerItem* Spacer5;

protected slots:
    virtual void languageChange();

    virtual void annotateClicked();
    virtual void diffClicked();
    virtual void diffConsoleClicked();
    virtual void mergeClicked();
    virtual void diffAClicked();
    virtual void diffBClicked();
    virtual void diffConsoleAClicked();
    virtual void diffConsoleBClicked();
    virtual void keepSettingsToggled(bool);
    virtual void showTagsToggled(bool);
    virtual void showBranchesToggled(bool);


private:
    QPixmap image0;

};

#endif // LOGDIALOG_H
